libweed 0.6.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Macros
Macros | Typedefs | Functions | Variables
weed-host.h File Reference
`#include <weed/weed.h>`

Go to the source code of this file.

## Macros
#define | WEED_PLANT_UNKNOWN 0
| used for host deserialisation only More...
#define | WEED_CALLER_HOST 0
#define | WEED_CALLER_PLUGIN 1

## Typedefs
typedef void(* | weed_plant_free_f )(weed_plant_t *plant)
typedef int(* | weed_leaf_delete_f )(weed_plant_t *plant, const char *key)
typedef int(* | weed_leaf_set_flags_f )(weed_plant_t *plant, const char *key, int flags)
typedef int( | weed_leaf_set_caller_f )(weed_plant_t *plant, const char *key, int seed_type, int num_elems, void *value, int caller)

## Functions
void | weed_init (int api_v, weed_malloc_f, weed_free_f, weed_memcpy_f, weed_memset_f) __attribute__((visibility("default")))

## Variables
weed_default_getter_f | weed_default_get
weed_leaf_get_f | weed_leaf_get
weed_leaf_set_f | weed_leaf_set
weed_leaf_set_f | weed_leaf_set_plugin
weed_plant_new_f | weed_plant_new
weed_plant_free_f | weed_plant_free
weed_leaf_delete_f | weed_leaf_delete
weed_plant_list_leaves_f | weed_plant_list_leaves
weed_leaf_num_elements_f | weed_leaf_num_elements
weed_leaf_element_size_f | weed_leaf_element_size
weed_leaf_seed_type_f | weed_leaf_seed_type
weed_leaf_get_flags_f | weed_leaf_get_flags
weed_leaf_set_flags_f | weed_leaf_set_flags
weed_malloc_f | weed_malloc
weed_free_f | weed_free
weed_memcpy_f | weed_memcpy
weed_memset_f | weed_memset

## Macro Definition Documentation

#define WEED_CALLER_HOST 0

#define WEED_CALLER_PLUGIN 1

#define WEED_PLANT_UNKNOWN 0

used for host deserialisation only

## Typedef Documentation

typedef int(* weed_leaf_delete_f)(weed_plant_t *plant, const char *key)

typedef int( weed_leaf_set_caller_f)(weed_plant_t *plant, const char *key, int seed_type, int num_elems, void *value, int caller)

typedef int(* weed_leaf_set_flags_f)(weed_plant_t *plant, const char *key, int flags)

typedef void(* weed_plant_free_f)(weed_plant_t *plant)

## Function Documentation

void weed_init | ( | int | api_v,
|  | weed_malloc_f | ,
|  | weed_free_f | ,
|  | weed_memcpy_f | ,
|  | weed_memset_f |
| ) |  |

## Variable Documentation

weed_default_getter_f weed_default_get

weed_free_f weed_free

weed_leaf_delete_f weed_leaf_delete

weed_leaf_element_size_f weed_leaf_element_size

weed_leaf_get_f weed_leaf_get

weed_leaf_get_flags_f weed_leaf_get_flags

weed_leaf_num_elements_f weed_leaf_num_elements

weed_leaf_seed_type_f weed_leaf_seed_type

weed_leaf_set_f weed_leaf_set

weed_leaf_set_flags_f weed_leaf_set_flags

weed_leaf_set_f weed_leaf_set_plugin

weed_malloc_f weed_malloc

weed_memcpy_f weed_memcpy

weed_memset_f weed_memset

weed_plant_free_f weed_plant_free

weed_plant_list_leaves_f weed_plant_list_leaves

weed_plant_new_f weed_plant_new